
package com.tmerclub.cloud.platform.model;


import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;

/**
 * 密钥对应可用菜单
 * @author LGH
 */

@Schema(description = "密钥对应可用菜单")
public class SysAccessMenu implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @Schema(description = "密钥id")
    private Long sysAccessKeyId;
    @Schema(description = "菜单ID")
    private Long menuId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSysAccessKeyId() {
        return sysAccessKeyId;
    }

    public void setSysAccessKeyId(Long sysAccessKeyId) {
        this.sysAccessKeyId = sysAccessKeyId;
    }

    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }

    @Override
    public String toString() {
        return "SysAccessMenu{" +
                "id=" + id +
                ", sysAccessKeyId=" + sysAccessKeyId +
                ", menuId=" + menuId +
                '}';
    }
}
